uses MIDIDrv, Crt, Dos;
var
  MIDI_File: file;
  MIDI_Size: word;
  MIDI_Data: pointer;

begin
  MIDISetPort( $320, 2);
  MIDIInit( MTGENERAL );
  Assign( MIDI_File, 'womaninl.MID');
  Reset( MIDI_File, 1);
  MIDI_Size := FileSize( MIDI_File );
  GetMem( MIDI_Data, MIDI_Size);
  blockread( MIDI_File, MIDI_Data^, MIDI_Size );
  close( MIDI_File );

  repeat
    if MIDIStatus = 0 then MIDIPlay( MIDI_Data );
  until Keypressed;
  ReadKey;

  MIDIUnInit;
  FreeMem( MIDI_Data, MIDI_Size);
end.
